  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// DynamicBuffer.cpp
//
//	DynamicBuffer class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "DynamicBuffer.hpp"
#include "libGizmo/Debug.hpp"
#include <stdlib.h>
#include <string.h>

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

DynamicBuffer::DynamicBuffer() {
	m_Length = 0;
	m_Buffer = NULL;
}

DynamicBuffer::~DynamicBuffer() {
	free(m_Buffer);
	m_Buffer = NULL;
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////

bool DynamicBuffer::addToBuffer(const char * AddBuf, int BufLen) {
	if ((m_Buffer = (char *) (realloc(m_Buffer, (m_Length + 1 + BufLen) * sizeof(char)))) == NULL)
		return false;

	memcpy(m_Buffer + m_Length, AddBuf, sizeof(char) * BufLen);	
	m_Length += BufLen;
	m_Buffer[m_Length] = '\0';
	
	return true;
}

const char * DynamicBuffer::getBuffer() {
	return m_Buffer;
}

int DynamicBuffer::getBufferLength() {
	return m_Length;
}
