  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// ScriptFunctionBMPSetTrack.cpp
//
//	ScriptFunctionBMPSetTrack class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "ScriptFunctionBMPSetTrack.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

bool ScriptFunctionBMPSetTrack::executeFunction() {
	ScriptFuncArg * pOutArg = getOutArg(0);
	if (!pOutArg) {
		Debug::out("ScriptFunctionBMPSetTrack :: executeFunction -- No Out Parameter!");
		return false;
	}
	
	ScriptFuncArg * pInArg = getInArg(0);
	if (!pInArg) {
		Debug::out("ScriptFunctionBMPSeek :: executeFunction -- No In Parameter!");
		return false;
	}
		
	pOutArg->ArgBoolean = m_pPlugin->bmpSetTrack((int) pInArg->ArgNumber);
		
	return true;
}

////////////////////////////////////////////////////////////////////////////
// Global Funcs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

ScriptFunctionBMPSetTrack::ScriptFunctionBMPSetTrack(BMPControlInterface * pPlugin) {
	m_pPlugin = pPlugin;
	FunctionName.format("bmpSetTrack");
	FunctionDescription = "BMP Set Track";
	
	addInArg(SCRIPT_ARG_NUMBER);		// IN  Seek Time
	addOutArg(SCRIPT_ARG_BOOLEAN);		// OUT Success
}

ScriptFunctionBMPSetTrack::~ScriptFunctionBMPSetTrack() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////
