  ///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
//
// CPUUsage.hpp
//
//	CPUUsage header file
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef __CPUUsage_h
#define __CPUUsage_h

#if HAVE_CONFIG_H
#include "config.h"
#endif

#include "libGizmo/Average.hpp"
#include <stdio.h>

//////////////////////////////////////////////////////////////////////////////
// Class Definition
///////////////////////////////////////

class CPUUsage {
public:
	bool		checkEventsWaiting();
	void		startMonitoringCPU();
	void		setCPUPollDelay(int Delay);
	int		getCPUPollDelay();
	unsigned char 	getCPUUsage();
	float		getCPUUsagePercent();
	void		setCPUTwitchy(bool Twitch);

	virtual void	onCPUUsage(unsigned char Usage, float UsagePercent);
	
	CPUUsage();
	virtual ~CPUUsage();

protected:
	void *		threadFunction();
	bool		m_Twitchy;
	int		m_Delay;
	
private:
	FILE * 		m_File;
	float		m_UsagePercent;
	unsigned char	m_UsageReal;
	Average		m_Average;
	unsigned long	m_LastTime;
};

#endif // __CPUUsage_h
