  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// ScriptFunctionGenericSetGrabExclusiveAccess.cpp
//
//	ScriptFunctionGenericSetGrabExclusiveAccess class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "ScriptFunctionGenericSetGrabExclusiveAccess.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

bool ScriptFunctionGenericSetGrabExclusiveAccess::executeFunction() {
	//Debug::outDebug("ScriptFunctionGenericSetGrabExclusiveAccess :: executeFunction");
	
	ScriptFuncArg * pOutArg = getInArg(0);
	if (!pOutArg) {
		Debug::out("ScriptFunctionGenericSetGrabExclusiveAccess :: executeFunction -- No Out Parameter!");
		return false;
	}
	
	ScriptFuncArg * pInArg1 = getInArg(0);
	if (!pInArg1) {
		Debug::out("ScriptFunctionGenericSetGrabExclusiveAccess :: executeFunction -- No In Parameter 1!");
		return false;
	}
	
	ScriptFuncArg * pInArg2 = getInArg(1);
	if (!pInArg2) {
		Debug::out("ScriptFunctionGenericSetGrabExclusiveAccess :: executeFunction -- No Out Parameter 2!");
		return false;
	}
	
	// find device
	LinkList<GenericInterface> * pPluginList = GenericInterface::getPluginList();
	if (pPluginList->getSize() == 0) {
		Debug::out("ScriptFunctionGenericSetGrabExclusiveAccess :: PluginList Badness!");
		return false;
	}
	pPluginList->moveToHead();
	do {
		GenericInterface * pInt = pPluginList->getData();
		if (pInt->getDeviceID() == pInArg1->ArgNumber) {
			pOutArg->ArgBoolean = pInt->setGrabExclusiveAccess(pInArg2->ArgBoolean);
			break;
		}
	} while (pPluginList->moveNext());
		
	return true;
}

////////////////////////////////////////////////////////////////////////////
// Global Funcs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

ScriptFunctionGenericSetGrabExclusiveAccess::ScriptFunctionGenericSetGrabExclusiveAccess(GenericInterface * pPlugin) {
	m_pPlugin = pPlugin;
	FunctionName.format("genericSetGrabExclusiveAccess");
	FunctionDescription = "Sets Exlusivity Mode of the Generic Device";
	
	addInArg(SCRIPT_ARG_NUMBER);		// IN  DeviceID
	addInArg(SCRIPT_ARG_BOOLEAN);		// IN  Exlusive
	addOutArg(SCRIPT_ARG_BOOLEAN);		// OUT Success
}

ScriptFunctionGenericSetGrabExclusiveAccess::~ScriptFunctionGenericSetGrabExclusiveAccess() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////
