  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// ScriptFunctionOnGenericPress.cpp
//
//	ScriptFunctionOnGenericPress class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "ScriptFunctionOnGenericPress.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

bool ScriptFunctionOnGenericPress::executeFunction() {
	Debug::outDebug("ScriptFunctionOnGenericPress :: executeFunction");
	
	return true;
}

////////////////////////////////////////////////////////////////////////////
// Global Funcs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

ScriptFunctionOnGenericPress::ScriptFunctionOnGenericPress() {
	FunctionName = "onGenericPress";
	FunctionDescription = "Called when a Generic Press Event is Detected";
	
	addInArg(SCRIPT_ARG_NUMBER);	// Device ID
	addInArg(SCRIPT_ARG_NUMBER);	// Button Code
	addInArg(SCRIPT_ARG_STRING);	// Button String
	addInArg(SCRIPT_ARG_STRING);	// Device Name
	addInArg(SCRIPT_ARG_STRING);	// Device Path
}

ScriptFunctionOnGenericPress::~ScriptFunctionOnGenericPress() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////
