  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// PowerMateInterface.cpp
//
//	PowerMateInterface class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "PowerMateInterface.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

int PowerMateInterface::m_DeviceIDCurrent = -1;
LinkList<PowerMateInterface> PowerMateInterface::m_PluginList;

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

PowerMateInterface::PowerMateInterface() {
	m_DeviceIDCurrent ++;
	m_DeviceID = m_DeviceIDCurrent;
	m_PluginList.addTail(this);
}

PowerMateInterface::~PowerMateInterface() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////

int PowerMateInterface::getDeviceID() {
	return m_DeviceID;
}

LinkList<PowerMateInterface> * PowerMateInterface::getPluginList() {
	return &m_PluginList;
}
