  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// ScriptFunctionPowerMateGetLEDPercent.cpp
//
//	ScriptFunctionPowerMateGetLEDPercent class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "ScriptFunctionPowerMateGetLEDPercent.hpp"
#include "libGizmo/Debug.hpp"
#include "libGizmo/LinkList.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

bool ScriptFunctionPowerMateGetLEDPercent::executeFunction() {
	Debug::outDebug("ScriptFunctionPowerMateGetLEDPercent :: executeFunction");
	
	ScriptFuncArg * pInArg = getInArg(0);
	if (!pInArg) {
		Debug::out("ScriptFunctionPowerMateGetLEDPercent :: executeFunction -- No In Parameter!");
		return false;
	}
	
	ScriptFuncArg * pRetArg = getOutArg(0);
	if (!pRetArg) {
		Debug::out("ScriptFunctionPowerMateGetLEDPercent :: executeFunction -- No Out Parameter!");
		return false;
	}
	
	// find device
	LinkList<PowerMateInterface> * pPluginList = PowerMateInterface::getPluginList();
	if (pPluginList->getSize() == 0) {
		Debug::out("ScriptFunctionPowerMateGetLEDPercent :: PluginList Badness!");
		return false;
	}
	pPluginList->moveToHead();
	do {
		PowerMateInterface * pInt = pPluginList->getData();
		if (pInt->getDeviceID() == pInArg->ArgNumber) {
			pRetArg->ArgNumber = ((float) pInt->onPowerMateGetLED() / 255.0f) * 100.0f;
			break;
		}
	} while (pPluginList->moveNext());
	
	return true;
}

////////////////////////////////////////////////////////////////////////////
// Global Funcs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

ScriptFunctionPowerMateGetLEDPercent::ScriptFunctionPowerMateGetLEDPercent(PowerMateInterface * pPlugin) {
	m_pPlugin = pPlugin;
	//FunctionName.format("powerMateGetLED_Dev%d", pPlugin->getDeviceID());
	FunctionName.format("powerMateGetLEDPercent");
	FunctionDescription = "Gets the LED Level of the PowerMate in Percentage";
	
	addInArg(SCRIPT_ARG_NUMBER);		// IN  DeviceID
	addOutArg(SCRIPT_ARG_NUMBER);		// OUT LED Level
}

ScriptFunctionPowerMateGetLEDPercent::~ScriptFunctionPowerMateGetLEDPercent() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////
