  ///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////
//
// SoundVisualizationInterface.hpp
//
//	SoundVisualizationInterface header file
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef __SoundVisualizationInterface_h
#define __SoundVisualizationInterface_h

#if HAVE_CONFIG_H
#include "config.h"
#endif

#include "libGizmo/LinkList.hpp"
#include "libGizmo/GizmoPlugin.hpp"

//////////////////////////////////////////////////////////////////////////////
// Typedefs
///////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// Class Definition
///////////////////////////////////////

class SoundVisualizationInterface : public GizmoPlugin {
public:
	int		getDeviceID();
	virtual String	getDeviceName() = 0;
	virtual String	getDeviceNameAlt() = 0; 
		
	SoundVisualizationInterface();
	virtual ~SoundVisualizationInterface();

	static LinkList<SoundVisualizationInterface> * getPluginList();

protected:
	int		m_DeviceID;
	
private:
	static int	m_DeviceIDCurrent;
	static LinkList<SoundVisualizationInterface> m_PluginList;
};

#endif // __SoundVisualizationInterface_h

