  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// ScriptFunctionX11SetWorkspaceNext.cpp
//
//	ScriptFunctionX11SetWorkspaceNext class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "ScriptFunctionX11SetWorkspaceNext.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

bool ScriptFunctionX11SetWorkspaceNext::executeFunction() {
	ScriptFuncArg * pOutArg = getInArg(0);
	if (!pOutArg) {
		Debug::out("ScriptFunctionX11SetWorkspaceNext :: executeFunction -- No Out Parameter!");
		return false;
	}
	
	ScriptFuncArg * pInArg1 = getInArg(0);
	if (!pInArg1) {
		Debug::out("ScriptFunctionX11SetWorkspaceNext :: executeFunction -- No In Parameter 1!");
		return false;
	}
		
	// find device
	LinkList<X11Interface> * pPluginList = X11Interface::getPluginList();
	if (pPluginList->getSize() == 0) {
		Debug::out("ScriptFunctionX11SetWorkspaceNext :: PluginList Badness!");
		return false;
	}
	pPluginList->moveToHead();
	do {
		X11Interface * pInt = pPluginList->getData();
		if (pInt->getDeviceID() == pInArg1->ArgNumber) {
			pOutArg->ArgBoolean = pInt->setWorkspaceNext();
			break;
		}
	} while (pPluginList->moveNext());
		
	return true;
}

////////////////////////////////////////////////////////////////////////////
// Global Funcs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

ScriptFunctionX11SetWorkspaceNext::ScriptFunctionX11SetWorkspaceNext(X11Interface * pPlugin) {
	m_pPlugin = pPlugin;
	FunctionName.format("x11SetWorkspaceNext");
	FunctionDescription = "Sets the Virtual Workspace of the WM to the Next one";
	
	addInArg(SCRIPT_ARG_NUMBER);		// IN  DeviceID
	addOutArg(SCRIPT_ARG_BOOLEAN);		// OUT Success
}

ScriptFunctionX11SetWorkspaceNext::~ScriptFunctionX11SetWorkspaceNext() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////
