  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// XMMSControlInterface.cpp
//
//	XMMSControlInterface class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "XMMSControlInterface.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

int XMMSControlInterface::m_DeviceIDCurrent = -1;
LinkList<XMMSControlInterface> XMMSControlInterface::m_PluginList;

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

XMMSControlInterface::XMMSControlInterface() {
	m_DeviceIDCurrent ++;
	m_DeviceID = m_DeviceIDCurrent;
	m_PluginList.addTail(this);
}

XMMSControlInterface::~XMMSControlInterface() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////

int XMMSControlInterface::getDeviceID() {
	return m_DeviceID;
}

LinkList<XMMSControlInterface> * XMMSControlInterface::getPluginList() {
	return &m_PluginList;
}
