  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// ScriptFunctionXOSDDrawSlider.cpp
//
//	ScriptFunctionXOSDDrawSlider class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "ScriptFunctionXOSDDrawSlider.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

bool ScriptFunctionXOSDDrawSlider::executeFunction() {
	ScriptFuncArg * pInArg1 = getInArg(0);
	if (!pInArg1) {
		Debug::out("ScriptFunctionXOSDDrawSlider :: executeFunction -- No In Parameter!");
		return false;
	}
	
	m_pPlugin->xosdDisplaySlider((int) pInArg1->ArgNumber);
		
	return true;
}

////////////////////////////////////////////////////////////////////////////
// Global Funcs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

ScriptFunctionXOSDDrawSlider::ScriptFunctionXOSDDrawSlider(XOSDInterface * pPlugin) {
	m_pPlugin = pPlugin;
	FunctionName.format("xosdDrawSlider");
	FunctionDescription = "Draws a Slider to the XOSD";
	
	addInArg(SCRIPT_ARG_NUMBER);		// IN Percentage
}

ScriptFunctionXOSDDrawSlider::~ScriptFunctionXOSDDrawSlider() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////
