  //////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//
// ScriptFunctionXOSDPrintString.cpp
//
//	ScriptFunctionXOSDPrintString class
//
///////////////////////////////////////
  ///////////////////////////////////////
  
/*

Copyright (c) 2005, Tim Burrell
All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "ScriptFunctionXOSDPrintString.hpp"
#include "libGizmo/Debug.hpp"

////////////////////////////////////////////////////////////////////////////
// Statics / Type Defs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Overrides
///////////////////////////////////////

bool ScriptFunctionXOSDPrintString::executeFunction() {
	ScriptFuncArg * pInArg1 = getInArg(0);
	if (!pInArg1) {
		Debug::out("ScriptFunctionXOSDPrintString :: executeFunction -- No In Parameter!");
		return false;
	}
	
	ScriptFuncArg * pInArg2 = getInArg(1);
	if (!pInArg2) {
		Debug::out("ScriptFunctionXOSDPrintString :: executeFunction -- No In Parameter 2!");
		return false;
	}
		
	m_pPlugin->xosdPrintString((int) pInArg1->ArgNumber, pInArg2->ArgString);
		
	return true;
}

////////////////////////////////////////////////////////////////////////////
// Global Funcs
///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
// Construction
///////////////////////////////////////

ScriptFunctionXOSDPrintString::ScriptFunctionXOSDPrintString(XOSDInterface * pPlugin) {
	m_pPlugin = pPlugin;
	FunctionName.format("xosdPrintString");
	FunctionDescription = "Prints a String to the XOSD";
	
	addInArg(SCRIPT_ARG_NUMBER);		// IN  Line
	addInArg(SCRIPT_ARG_STRING);		// IN  Text
}

ScriptFunctionXOSDPrintString::~ScriptFunctionXOSDPrintString() {
}

////////////////////////////////////////////////////////////////////////////
// Class Body
///////////////////////////////////////
